package com.brilliance.isc.bo.lg;

import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.bo.model.Ghdadd;
import com.brilliance.isc.bo.model.Nidgrp;
import com.brilliance.isc.bo.model.Nitp;
import com.brilliance.isc.bo.model.Trnmod;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@JsonIgnoreProperties(ignoreUnknown = true)
@Data
public class NetaddStoreBo extends BaseTransactionVo {
    private Nidgrp nidgrp;


    private Nidgrp oldnidgrp;

    private Ghdadd ghdadd;

    private Trnmod trnmod;

    private Nitp nitp;



    @Override
    public void reset() {
        super.reset();
        if (nidgrp == null) {
            nidgrp = new Nidgrp();
        }
        nidgrp.reset();
        if (oldnidgrp == null) {
            oldnidgrp = new Nidgrp();
        }
        oldnidgrp.reset();
        if (ghdadd == null) {
            ghdadd = new Ghdadd();
        }
        if (trnmod == null) {
            trnmod = new Trnmod();
        }
    }
}
